COUNTCOUNT
Sign Up
BudgetsArchive budget

Archive budget

POST/partners/budgets/{uuid}/archive

Archives a budget.

HMAC signature + Bearer access token
Try this request

Path parameters

uuiduuidrequired

The budget UUID.

Responses

200Budget archived.
404Budget not found.
401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot
403The credential does not have access to this workspace or resource. Troubleshoot
429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. Troubleshoot
POSThttps://api.getcount.com/partners/budgets/{uuid}/archive
Request
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'POST';
const signingPath = '/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/archive';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/archive`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
Response · 200
{
  "status": "success",
  "message": "Success on archiving budget",
  "data": {
    "budget": {
      "id": "55667788-99aa-bbcc-ddee-ff0011223344",
      "name": "FY 2026 Operating Budget",
      "startPeriod": "2026-01-01",
      "cadence": "monthly",
      "actualPeriods": 3,
      "budgetPeriods": 12,
      "currencyCode": "USD",
      "status": "archived",
      "lockedAt": null,
      "isOverall": false,
      "versions": [
        {
          "versionNumber": 1,
          "label": "Initial",
          "isPublished": false,
          "createdAt": "2026-01-15T10:30:00.000Z"
        }
      ],
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": "2026-01-28T14:22:30.000Z"
    }
  }
}